local BaikItemLevel = LibStub("AceAddon-3.0"):GetAddon("BaikItemLevel")
local TableHelper = {}

-- Add Module to Addon
BaikItemLevel.TableHelper = TableHelper

function TableHelper:Copy(table)
    local newTable = { }
    for k, v in pairs(table) do newTable[k] = v end

    return setmetatable(newTable, getmetatable(table))
end

function TableHelper:IsEmpty(table)
    return next(table) == nil
end

function TableHelper:Size(table)
    local count = 0
    for _ in pairs(table) do
        count = count + 1
    end

    return count
end

function TableHelper:FindKey(table, value)
    for tKey, tValue in pairs(table) do
        if tValue == value then
            return tKey
        end
    end
    return nil
end

function TableHelper:Clear(table)
    table = {}
end
